commit:     87cebb47e6ce26a4f6df01582c550f31a909e42d
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Mon Oct 19 13:11:53 2015 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Mon Oct 19 16:29:11 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=87cebb47

dev-python/sip: Add python3.5 support

Clean non live ebuilds from live ebuild content

Package-Manager: portage-2.2.23
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 dev-python/sip/sip-4.16.8.ebuild | 39 ++++++--------------------------------
 dev-python/sip/sip-4.16.9.ebuild | 41 ++++++----------------------------------
 dev-python/sip/sip-4.9999.ebuild | 37 +++++++++++-------------------------
 3 files changed, 23 insertions(+), 94 deletions(-)

diff --git a/dev-python/sip/sip-4.16.8.ebuild b/dev-python/sip/sip-4.16.8.ebuild
index e116564..e1562f1 100644
--- a/dev-python/sip/sip-4.16.8.ebuild
+++ b/dev-python/sip/sip-4.16.8.ebuild
@@ -3,56 +3,29 @@
 # $Id$
 
 EAPI=5
-PYTHON_COMPAT=( python{2_7,3_3,3_4} )
+
+PYTHON_COMPAT=( python2_7 python3_{3,4} )
 
 inherit eutils python-r1 toolchain-funcs
 
 DESCRIPTION="Python extension module generator for C and C++ libraries"
 HOMEPAGE="http://www.riverbankcomputing.com/software/sip/intro 
https://pypi.python.org/pypi/SIP";
-LICENSE="|| ( GPL-2 GPL-3 SIP )"
-
-if [[ ${PV} == *9999* ]]; then
-       # live version from mercurial repo
-       EHG_REPO_URI="http://www.riverbankcomputing.com/hg/sip";
-       inherit mercurial
-elif [[ ${PV} == *_pre* ]]; then
-       # development snapshot
-       HG_REVISION=
-       MY_P=${PN}-${PV%_pre*}-snapshot-${HG_REVISION}
-       SRC_URI="https://dev.gentoo.org/~pesa/distfiles/${MY_P}.tar.gz";
-       S=${WORKDIR}/${MY_P}
-else
-       # official release
-       SRC_URI="mirror://sourceforge/pyqt/${P}.tar.gz"
-fi
+SRC_URI="mirror://sourceforge/pyqt/${P}.tar.gz"
 
 # Sub-slot based on SIP_API_MAJOR_NR from siplib/sip.h.in
 SLOT="0/11"
+LICENSE="|| ( GPL-2 GPL-3 SIP )"
 KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd 
~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
 IUSE="debug doc"
 
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
 DEPEND="${PYTHON_DEPS}"
 RDEPEND="${DEPEND}"
 
-[[ ${PV} == *9999* ]] && DEPEND+="
-       =dev-lang/python-2*
-       sys-devel/bison
-       sys-devel/flex
-       doc? ( dev-python/sphinx[$(python_gen_usedep 'python2*')] )
-"
-
-REQUIRED_USE="${PYTHON_REQUIRED_USE}"
-
 src_prepare() {
        epatch "${FILESDIR}"/${PN}-4.15.5-darwin.patch
 
-       if [[ ${PV} == *9999* ]]; then
-               python2 build.py prepare || die
-               if use doc; then
-                       python2 build.py doc || die
-               fi
-       fi
-
        # Sub-slot sanity check
        local sub_slot=${SLOT#*/}
        local sip_api_major_nr=$(sed -nre 's:^#define 
SIP_API_MAJOR_NR\s+([0-9]+):\1:p' siplib/sip.h.in)

diff --git a/dev-python/sip/sip-4.16.9.ebuild b/dev-python/sip/sip-4.16.9.ebuild
index 3156b77..0210d72 100644
--- a/dev-python/sip/sip-4.16.9.ebuild
+++ b/dev-python/sip/sip-4.16.9.ebuild
@@ -3,58 +3,29 @@
 # $Id$
 
 EAPI=5
-PYTHON_COMPAT=( python{2_7,3_3,3_4} )
+
+PYTHON_COMPAT=( python2_7 python3_{3,4,5} )
 
 inherit eutils python-r1 toolchain-funcs
 
 DESCRIPTION="Python extension module generator for C and C++ libraries"
 HOMEPAGE="http://www.riverbankcomputing.com/software/sip/intro 
https://pypi.python.org/pypi/SIP";
-LICENSE="|| ( GPL-2 GPL-3 SIP )"
-
-if [[ ${PV} == *9999* ]]; then
-       # live version from mercurial repo
-       EHG_REPO_URI="http://www.riverbankcomputing.com/hg/sip";
-       inherit mercurial
-elif [[ ${PV} == *_pre* ]]; then
-       # development snapshot
-       HG_REVISION=
-       MY_P=${PN}-${PV%_pre*}-snapshot-${HG_REVISION}
-       SRC_URI="https://dev.gentoo.org/~pesa/distfiles/${MY_P}.tar.gz";
-       S=${WORKDIR}/${MY_P}
-else
-       # official release
-       SRC_URI="mirror://sourceforge/pyqt/${P}.tar.gz"
-fi
+SRC_URI="mirror://sourceforge/pyqt/${P}.tar.gz"
 
 # Sub-slot based on SIP_API_MAJOR_NR from siplib/sip.h.in
 SLOT="0/11"
+LICENSE="|| ( GPL-2 GPL-3 SIP )"
 KEYWORDS="alpha amd64 arm hppa ~ia64 ~ppc ppc64 ~sparc ~x86 ~x86-fbsd 
~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
 IUSE="debug doc"
 
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
 DEPEND="${PYTHON_DEPS}"
 RDEPEND="${DEPEND}"
-[[ ${PV} == *9999* ]] && DEPEND+="
-       sys-devel/bison
-       sys-devel/flex
-       doc? ( dev-python/sphinx[$(python_gen_usedep 'python2*')] )
-"
-
-REQUIRED_USE="${PYTHON_REQUIRED_USE}"
-[[ ${PV} == *9999* ]] && REQUIRED_USE+="
-       || ( $(python_gen_useflags 'python2*') )
-"
 
 src_prepare() {
        epatch "${FILESDIR}"/${PN}-4.15.5-darwin.patch
 
-       if [[ ${PV} == *9999* ]]; then
-               python_setup 'python2*'
-               "${PYTHON}" build.py prepare || die
-               if use doc; then
-                       "${PYTHON}" build.py doc || die
-               fi
-       fi
-
        # Sub-slot sanity check
        local sub_slot=${SLOT#*/}
        local sip_api_major_nr=$(sed -nre 's:^#define 
SIP_API_MAJOR_NR\s+([0-9]+):\1:p' siplib/sip.h.in)

diff --git a/dev-python/sip/sip-4.9999.ebuild b/dev-python/sip/sip-4.9999.ebuild
index 19ece85..42eb3a1 100644
--- a/dev-python/sip/sip-4.9999.ebuild
+++ b/dev-python/sip/sip-4.9999.ebuild
@@ -3,31 +3,18 @@
 # $Id$
 
 EAPI=5
-PYTHON_COMPAT=( python{2_7,3_3,3_4} )
 
-inherit eutils python-r1 toolchain-funcs
+PYTHON_COMPAT=( python2_7 python3_{3,4,5} )
+
+inherit eutils mercurial python-r1 toolchain-funcs
 
 DESCRIPTION="Python extension module generator for C and C++ libraries"
 HOMEPAGE="http://www.riverbankcomputing.com/software/sip/intro 
https://pypi.python.org/pypi/SIP";
-LICENSE="|| ( GPL-2 GPL-3 SIP )"
-
-if [[ ${PV} == *9999* ]]; then
-       # live version from mercurial repo
-       EHG_REPO_URI="http://www.riverbankcomputing.com/hg/sip";
-       inherit mercurial
-elif [[ ${PV} == *_pre* ]]; then
-       # development snapshot
-       HG_REVISION=
-       MY_P=${PN}-${PV%_pre*}-snapshot-${HG_REVISION}
-       SRC_URI="https://dev.gentoo.org/~pesa/distfiles/${MY_P}.tar.gz";
-       S=${WORKDIR}/${MY_P}
-else
-       # official release
-       SRC_URI="mirror://sourceforge/pyqt/${P}.tar.gz"
-fi
+EHG_REPO_URI="http://www.riverbankcomputing.com/hg/sip";
 
 # Sub-slot based on SIP_API_MAJOR_NR from siplib/sip.h.in
 SLOT="0/11"
+LICENSE="|| ( GPL-2 GPL-3 SIP )"
 KEYWORDS=""
 IUSE="debug doc"
 
@@ -39,20 +26,18 @@ RDEPEND="${DEPEND}"
        doc? ( dev-python/sphinx[$(python_gen_usedep 'python2*')] )
 "
 
-REQUIRED_USE="${PYTHON_REQUIRED_USE}"
-[[ ${PV} == *9999* ]] && REQUIRED_USE+="
+REQUIRED_USE="
+       ${PYTHON_REQUIRED_USE}
        || ( $(python_gen_useflags 'python2*') )
 "
 
 src_prepare() {
        epatch "${FILESDIR}"/${PN}-4.15.5-darwin.patch
 
-       if [[ ${PV} == *9999* ]]; then
-               python_setup 'python2*'
-               "${PYTHON}" build.py prepare || die
-               if use doc; then
-                       "${PYTHON}" build.py doc || die
-               fi
+       python_setup 'python2*'
+       "${PYTHON}" build.py prepare || die
+       if use doc; then
+               "${PYTHON}" build.py doc || die
        fi
 
        # Sub-slot sanity check

Reply via email to